RubyGems Navigation menu

password_breach_alert 0.1.0

Password Breach Alert is a Devise extension that adds 1) server-side check of password strength before registration, using a list of common passwords, zxcvbn and haveibeenpwned; 2) a way to check users emails against recent verified security breaches, and implement different customized policies.

Versions:

  1. 0.1.0 - July 19, 2019 (56.5 KB)

Runtime Dependencies (4):

  • actionmailer ~> 5.2.2
  • devise ~> 4
  • pwned ~> 1.2.1
  • zxcvbn-js ~> 4.4.1
  • Development Dependencies (8):

    Owners:

    Pushed by:

    Authors:

    • Carlo Martinucci

    SHA 256 checksum:

    ec7f9456c43f0e77561143ddf1757d30d5f4b8395232a93fab099078edd1b71d

    Total downloads 1,501

    For this version 1,501

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: